OMEventHandler (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.event
Interface OMEventHandler

All Known Implementing Classes:
  EventLayer, OMEventHandlerAdapter, TestEventHandler

    public interface OMEventHandler

An OMEventHandler manages OMEvents, creating them from TemporalRecords.

Author:
  dietrick

Method Summary
`java.util.List<OMEvent>` | `getEventList()`
`java.util.List<OMEvent>` | `getEventList(java.util.List filters)` This is the main call to return OMEvents based on filters set in the GUI.
`java.util.List` | `getFilters()`
`java.lang.Boolean` | `getFilterState(java.lang.String filterName)` Query to find out if a filter should be enabled, based on EventHandler settings and history.
`java.util.List<OMEvent>` | `getMacroFilteredList(java.util.Collection eventCollection)`
`void` | `setFilterState(java.lang.String filterName, java.lang.Boolean state)`

Method Detail

### getEventList

    java.util.List<OMEvent> getEventList()

### getEventList

    java.util.List<OMEvent> getEventList(java.util.List filters)

  This is the main call to return OMEvents based on filters set in the GUI. In subclasses, you can make the call to getMacroFilterList(Collection) from here to check against other filters that are being set across all OMEventhandlers.

  Parameters:
    `filters` - A List of Strings. If your OMEventHandler provides entries into the filterList, you should check the entries on that list to see if they are in this provided list. If they are, you should return the OMEvents that fall under that filter String's jurisdiction.
  Returns:
    List of OMEvents that pass filters

### getMacroFilteredList

    java.util.List<OMEvent> getMacroFilteredList(java.util.Collection eventCollection)

### getFilters

    java.util.List getFilters()

  Returns:
    List of Strings that serve as pretty names for the gui, and as filters. OK to return null.

### getFilterState

    java.lang.Boolean getFilterState(java.lang.String filterName)

  Query to find out if a filter should be enabled, based on EventHandler settings and history.

  Parameters:
    `filterName` - the filter string.
  Returns:
    Boolean.TRUE for things that should be display, Boolean.FALSE for things that shouldn't be displayed, and null for things that aren't known about.

### setFilterState

    void setFilterState(java.lang.String filterName,
                        java.lang.Boolean state)

  Parameters:
    `filterName` -
    `state` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details